org.apache.olingo.odata2.api.annotation.edm

## Enum EdmNavigationProperty.Multiplicity

- java.lang.Object
- - java.lang.Enum<EdmNavigationProperty.Multiplicity>
  - - org.apache.olingo.odata2.api.annotation.edm.EdmNavigationProperty.Multiplicity

- All Implemented Interfaces:
    Serializable, Comparable<EdmNavigationProperty.Multiplicity>
  Enclosing class:
    EdmNavigationProperty

      public static enum EdmNavigationProperty.Multiplicity
      extends Enum<EdmNavigationProperty.Multiplicity>

  EdmMultiplicity indicates the number of entity type instances an association end can relate to:

  ZERO_OR_ONE (0..1)
    value is exactly one but can be null (i.e. `nullable = true`)
  ONE (1)
    value is exactly one (i.e. `nullable = false`)
  MANY (*)
    many values (which includes zero values (e.g. empty collection))

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MANY`
    `ONE`
    `ZERO_OR_ONE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EdmNavigationProperty.Multiplicity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EdmNavigationProperty.Multiplicity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ZERO_OR_ONE

          public static final EdmNavigationProperty.Multiplicity ZERO_OR_ONE

    - #### ONE

          public static final EdmNavigationProperty.Multiplicity ONE

    - #### MANY

          public static final EdmNavigationProperty.Multiplicity MANY

  - ### Method Detail

    - #### values

          public static EdmNavigationProperty.Multiplicity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EdmNavigationProperty.Multiplicity c : EdmNavigationProperty.Multiplicity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EdmNavigationProperty.Multiplicity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.